- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectAttachmentGroups/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectAttachmentGroups/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectAttachmentGroups/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectAttachmentGroups/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectAttachmentGroups/get#body.InterconnectAttachmentGroup.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectAttachmentGroups/get#body.InterconnectAttachmentGroup.SCHEMA_REPRESENTATION.logical_structure.SCHEMA_REPRESENTATION)
      - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectAttachmentGroups/get#body.InterconnectAttachmentGroup.SCHEMA_REPRESENTATION.logical_structure.SCHEMA_REPRESENTATION.metros.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectAttachmentGroups/get#body.InterconnectAttachmentGroup.SCHEMA_REPRESENTATION.configured.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectAttachmentGroups/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectAttachmentGroups/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/v1/interconnectAttachmentGroups/get#try-it)

Returns the specified InterconnectAttachmentGroup resource in the given scope.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/v1/projects/{project}/global/interconnectAttachmentGroups/{interconnectAttachmentGroup}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `interconnectAttachmentGroup` | `string` Name of the InterconnectAttachmentGroup resource to return. |

### Request body

The request body must be empty.

### Response body

An interconnect attachment group resource allows customers to create, analyze, and expand highly available deployments.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "etag": string, "attachments": { string: { "attachment": string }, ... }, "interconnectGroup": string, "intent": { "availabilitySla": enum }, "logicalStructure": { "regions": [ { "region": string, "metros": [ { "metro": string, "facilities": [ { "facility": string, "zones": [ { "zone": string, "attachments": [ string ] } ] } ] } ] } ] }, "configured": { "availabilitySla": { "effectiveSla": enum, "intendedSlaBlockers": [ { "blockerType": enum, "explanation": string, "documentationLink": string, "regions": [ string ], "metros": [ string ], "zones": [ string ], "attachments": [ string ] } ] } } } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always compute#interconnectAttachmentGroup. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource type. The server generates this identifier. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` An optional description of this resource. Provide this property when you create the resource. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `etag` | `string` Opaque system-generated token that uniquely identifies the configuration. If provided when patching a configuration in update mode, the provided token must match the current token or the update is rejected. This provides a reliable means of doing read-modify-write (optimistic locking) as described by [AIP 154](https://google.aip.dev/154). |
| `attachments[]` | `map (key: string, value: object)` Attachments in the AttachmentGroup. Keys are arbitrary user-specified strings. Users are encouraged, but not required, to use their preferred format for resource links as keys. Note that there are add-members and remove-members methods in gcloud. The size of this map is limited by an "Attachments per group" quota. |
| `attachments[].attachment` | `string` |
| `interconnectGroup` | `string` The URL of an InterconnectGroup that groups these Attachments' Interconnects. Customers do not need to set this unless directed by Google Support. |
| `intent` | `object` |
| `intent.availabilitySla` | `enum` |
| `logicalStructure` | `object` |
| `logicalStructure.regions[]` | `object` |
| `logicalStructure.regions[].region` | `string` Output only. The name of a region, like "us-central1". |
| `logicalStructure.regions[].metros[]` | `object` |
| `logicalStructure.regions[].metros[].metro` | `string` Output only. The name of the metro, as a three-letter lowercase string like "iad". This is the first component of the location of an Interconnect. |
| `logicalStructure.regions[].metros[].facilities[]` | `object` |
| `logicalStructure.regions[].metros[].facilities[].facility` | `string` Output only. The name of a facility, like "iad-1234". |
| `logicalStructure.regions[].metros[].facilities[].zones[]` | `object` |
| `logicalStructure.regions[].metros[].facilities[].zones[].zone` | `string` Output only. The name of a zone, either "zone1" or "zone2". |
| `logicalStructure.regions[].metros[].facilities[].zones[].attachments[]` | `string` Output only. URLs of Attachments in the given zone, to the given region, on Interconnects in the given facility and metro. Every Attachment in the AG has such an entry. |
| `configured` | `object` |
| `configured.availabilitySla` | `object` |
| `configured.availabilitySla.effectiveSla` | `enum` |
| `configured.availabilitySla.intendedSlaBlockers[]` | `object` |
| `configured.availabilitySla.intendedSlaBlockers[].blockerType` | `enum` |
| `configured.availabilitySla.intendedSlaBlockers[].explanation` | `string` Output only. A human-readable explanation of this requirement and why it's not met. This is set for every type of requirement. |
| `configured.availabilitySla.intendedSlaBlockers[].documentationLink` | `string` Output only. The url of Google Cloud public documentation explaining this requirement. This is set for every type of requirement. |
| `configured.availabilitySla.intendedSlaBlockers[].regions[]` | `string` Output only. Regions used to explain this blocker in more detail. These are region names formatted like "us-central1". This will be set for some blockers (like INCOMPATIBLE_REGIONS) but does not apply to others. |
| `configured.availabilitySla.intendedSlaBlockers[].metros[]` | `string` Output only. Metros used to explain this blocker in more detail. These are three-letter lowercase strings like "iad". This will be set for some blockers (like NO_ATTACHMENTS_IN_METRO_AND_ZONE) but does not apply to others. |
| `configured.availabilitySla.intendedSlaBlockers[].zones[]` | `string` Output only. Zones used to explain this blocker in more detail. Format is "zone1" and/or "zone2". This will be set for some blockers (like MISSING_ZONE) but does not apply to others. |
| `configured.availabilitySla.intendedSlaBlockers[].attachments[]` | `string` Output only. URLs of any particular Attachments to explain this blocker in more detail. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.interconnectAttachmentGroups.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).